nn.pp.rccore

## Class Association

- java.lang.Object
- - nn.pp.rccore.Association

-     public class Association
      extends java.lang.Object

  Describes the association (i.e. the placement) within a larger number of RCCore objects

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Association()` Create an association object with default values
    `Association(int monitorIndex, int monitorPositionX, int monitorPositionY)` Create an association object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMonitorIndex()` Get the monitor index
    `int` | `getMonitorPositionX()` Get the monitor X position
    `int` | `getMonitorPositionY()` Get the monitor Y position

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Association

          public Association(int monitorIndex,
                             int monitorPositionX,
                             int monitorPositionY)

      Create an association object
      Parameters:
        `monitorIndex` - The monitor index
        `monitorPositionX` - The monitor X position
        `monitorPositionY` - The monitor Y position

    - #### Association

          public Association()

      Create an association object with default values

  - ### Method Detail

    - #### getMonitorIndex

          public int getMonitorIndex()

      Get the monitor index
      Returns:
        The monitor index

    - #### getMonitorPositionX

          public int getMonitorPositionX()

      Get the monitor X position
      Returns:
        The monitor X position

    - #### getMonitorPositionY

          public int getMonitorPositionY()

      Get the monitor Y position
      Returns:
        The monitor Y position

Copyright © 2025 Raritan Inc. All Rights Reserved.